include ( ../settings.pro )

TEMPLATE = app
#CONFIG += qt thread warn_on debug
CONFIG += qt thread warn_on
TARGET = streamtuned
DEFINES += TARGET=\"$${TARGET}\"
SUBPATH = streamtuned
DEFINES += SUBPATH=\"$${SUBPATH}\"

# list of file extentions that require mplayer -playlist option ( .ext1.ext2.ext3 ... )
PLAYLIST = .pls
DEFINES += PLAYLIST=\"$${PLAYLIST}\"

target.path = $${PREFIX}/bin
INSTALLS += target
LIBS += -lfftw

installfiles.path = $${PREFIX}/share/streamtuned
installfiles.files = ../libs/streams.res ../libs/player.xml ../README
installimages.path = $${PREFIX}/share/streamtuned
installimages.files = images/*.png
installparsers.path = $${PREFIX}/share/streamtuned/parsers
installparsers.files = ../parsers/*.pl

INSTALLS += installfiles installimages installparsers
#installbin

# Input
HEADERS += guielements.h streamtuned.h ../libs/storage.h ../libs/storagehandlers.h ../libs/streamstorage.h ../libs/streamconfig.h ../libs/storageconfig.h ../libs/configelements.h ../libs/itemtree.h ../libs/streambrowser.h ../libs/streamstatus.h ../libs/playerencap.h ../libs/harvester.h ../libs/fft.h ../libs/recorder.h

SOURCES += main.cpp guielements.cpp streamtuned.cpp ../libs/storage.cpp ../libs/storagehandlers.cpp ../libs/streamstorage.cpp ../libs/streamconfig.cpp ../libs/storageconfig.cpp ../libs/configelements.cpp ../libs/itemtree.cpp ../libs/streambrowser.cpp ../libs/streamstatus.cpp ../libs/x11win.cpp ../libs/playerencap.cpp ../libs/harvester.cpp ../libs/fft.cpp ../libs/recorder.cpp 


